__kernel void mtxsum(__constant float * a, __constant float * b, 
                                __global float * c, __constant int n)
{
    size_t i = get_global_id(0);
    size_t j = get_global_id(1);

    c[(i * n) + j] = a[(i * n) + j] + b[(i * n) + j];
}
